import { t as definePluginEntry } from "../../plugin-entry-T5k9rMXF.js";
import { n as buildFalImageGenerationProvider } from "../../image-generation-provider-6gXjP4TV.js";
import { t as createFalProvider } from "../../provider-registration-B3XIjW-w.js";
import { n as buildFalVideoGenerationProvider } from "../../video-generation-provider-ccl41wRz.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image and video generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
